# CRUD: Retrieve a credit balance adjustment

Endpoint: GET /v1/object/credit-balance-adjustment/{id}
Version: 2026-09-11

## Path parameters:

  - `id` (string, required)
    Object id

## Query parameters:

  - `fields` (string)
    Object fields to return

## Header parameters:

  - `Accept-Encoding` (string)
    Include the `Accept-Encoding: gzip` header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response. 

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a `Content-Encoding` header with the compression algorithm so that your client can decompress it.

  - `Content-Encoding` (string)
    Include the `Content-Encoding: gzip` header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

  - `Authorization` (string)
    The value is in the `Bearer {token}` format where {token} is a valid OAuth token generated by calling [Create an OAuth token](https://developer.zuora.com/api-references/api/operation/createToken).

  - `Zuora-Entity-Ids` (string)
    An entity ID. If you have [Zuora Multi-entity](https://docs.zuora.com?resourceId=platform-multi-entity-overview) enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you do not need to set this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (`:`), semicolon (`;`), double quote (`"`), and quote (`'`).

## Response 200 fields (application/json):

  - `AccountId` (string)
    The account ID of the credit balance's account. Zuora generates this value from the source transaction.
**Character limit**: 32 **Values**: automatically generated from:
- CreditBalanceAdjustment.SourceTransactionId or
- CreditBalanceAdjustment.SourceTransactionNumber

  - `AccountingCode` (string)
    The Chart of Accounts

  - `AdjustmentDate` (string)
    The date when the credit balance adjustment is applied.
**Character limit**: 29 **Values**: automatically generated

  - `Amount` (number)
    The amount of the adjustment.
**Character limit**: 16 **Values**: a valid currency amount

  - `CancelledOn` (string)
    The date when the credit balance adjustment was canceled.
**Character limit**: 29 **Values**: automatically generated

  - `Comment` (string)
    Use this field to record comments about the credit balance adjustment.
**Character limit**: 255 **Values**: a string of 255 characters or fewer

  - `CreatedById` (string)
    The user ID of the person who created the credit balance adjustment.
**Character limit**: 32 **Values**: automatically generated

  - `CreatedDate` (string)
    The date when the credit balance adjustmentwas generated.
**Character limit**: 29 **Values**: automatically generated

  - `Id` (string)
    Object identifier.

  - `Number` (string)
    A unique identifier for the credit balance adjustment. Zuora generates this number in the format, CBA-xxxxxxxx, such as CBA-00375919.
**Character limit**: 255 **Values**: automatically generated

  - `ReasonCode` (string)
    A code identifying the reason for the transaction. Must be an existing reason code or empty. If you do not specify a value, Zuora uses the default reason code.
**Character limit**: 32 **Values**: a valid reason code

  - `ReferenceId` (string)
    The ID of the payment that the credit balance adjustment is for.
**Character limit**: 100 **Values**: a string of 100 characters or fewer

  - `SourceTransactionId` (string)
    The ID of the object that the credit balance adjustment is applied to. You must specify a value for either the `SourceTransactionId` field or the `SourceTransactionNumber` field.
**Character limit**: 32 **Values**: one of the following:
- InvoiceId
- PaymentId
- RefundId

  - `SourceTransactionNumber` (string)
    The number of the object that the credit balance adjustment is applied to. You must specify a value for either the `SourceTransactionId` field or the `SourceTransactionNumber` field.
**Character limit**: 50 **Values**: one of the following:
- InvoiceNumber
- PaymentNumber
- RefundNumber

  - `SourceTransactionType` (string)
    The source of the credit balance adjustment.
**Character limit**: **Values**: automatically generated; one of the following:
- Invoice
- Payment
- Refund

  - `Status` (string)
    The status of the credit balance adjustment.
**Character limit**: 9 **Values**: automatically generated; one of the following:
- Processed
- Canceled

  - `TransferredToAccounting` (string)
    Status of the credit balance adjustment's transfer to an external accounting system, such as NetSuite.
    Enum: "Processing", "Yes", "No", "Error", "Ignore"

  - `Type` (string)
    Create Query Filter

  - `UpdatedById` (string)
    The ID of the user who last updated the credit balance adjustment.
**Character limit**: 32 **Values**: automatically generated

  - `UpdatedDate` (string)
    The date when the credit balance adjustment was last updated.
**Character limit**: 29 **Values**: automatically generated

  - `IntegrationId__NS` (string)
    ID of the corresponding object in NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `IntegrationStatus__NS` (string)
    Status of the credit balance adjustment's synchronization with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

  - `SyncDate__NS` (string)
    Date when the credit balance adjustment was sychronized with NetSuite. Only available if you have installed the [Zuora Connector for NetSuite](https://www.zuora.com/connect/app/?appId=265).

## Response 200 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

## Response 401 fields (application/json):

  - `message` (string)
    Error message.
If the error message is "Authentication error", ensure that the `Authorization` request header contains valid authentication credentials, then retry the request. See [Authentication](https://developer.zuora.com/rest-api/general-concepts/authentication/) for more information.
If the error message is "Failed to get user info", retry the request.

## Response 401 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

  - `WWW-Authenticate` (string)
    The value of this header is:

```
Basic realm=Zuora API, ZSession realm=Zuora API, Bearer realm=Zuora API
```
    Enum: "Basic realm=Zuora API, ZSession realm=Zuora API, Bearer realm=Zuora API"

## Response 404 fields (application/json):

  - `done` (boolean)

  - `records` (array)

  - `size` (integer)

## Response 404 headers (application/json):

  - `Content-Encoding` (string)
    This header is returned if you specify the `Accept-Encoding: gzip` request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:
  - `application/json`
  - `application/xml`
  - `text/html`
  - `text/csv`
  - `text/plain`

  - `RateLimit-Limit` (string)
    The request limit quota for the time window closest to exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Remaining` (number)
    The number of requests remaining in the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `RateLimit-Reset` (number)
    The number of seconds until the quota resets for the time window closest to quota exhaustion. See [rate limits](https://developer.zuora.com/docs/guides/rate-limits/) for more information.

  - `Zuora-Request-Id` (string)
    The Zuora internal identifier of the API call. You cannot control the value of this header.

  - `Zuora-Track-Id` (string)
    A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.

## Response 200 examples:

  - `response` (unknown)

## Response 401 examples:

  - `response` (unknown)

## Response 404 examples:

  - `response` (unknown)

